@font-face {
  font-family: 'pottisreeramulu';
  /* Relative path from the CSS file to the font file */
  src: url('../fonts/PottiSreeramuluRegular.otf') format('woff2'),
       url('../fonts/PottiSreeramuluRegular.otf') format('woff'),
       url('../fonts/PottiSreeramuluRegular.otf') format('truetype');
  font-weight: normal;
  font-style: normal;
  font-display: swap; /* Improves performance by showing fallback text first */
}

@font-face {
  font-family: 'sreekrushnadevarayaregular';
  /* Relative path from the CSS file to the font file */
  src: url('../fonts/SreeKrushnadevarayaRegular.otf') format('woff2'),
       url('../fonts/SreeKrushnadevarayaRegular.otf') format('woff'),
       url('../fonts/SreeKrushnadevarayaRegular.otf') format('truetype');
  font-weight: normal;
  font-style: normal;
  font-display: swap; /* Improves performance by showing fallback text first */
}
/* Gallery */

.gallery-container {
    display:flex;
    flex-wrap:wrap;
    justify-content:center;
    gap:20px;
    /* padding:20px; */
}

.gallery-item {
    width: 30.333%;
    height: 300px;
    border-radius:6px;
    overflow:hidden;
    cursor:pointer;
    position:relative;
    box-shadow: 0px 5px 10px 0px rgba(110, 123, 131, 0.5);
}
.gallery-item .gallery-content {
    position: absolute;
    display: flex;
    width: 100%;
    top: 15%;
    left: 0px;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    flex-wrap: wrap;
}
.gallery-item .gallery-content h1 {
    display: flex;
    /* width: 100%; */
    padding: 0;
    margin: 0;
    margin-bottom: 1rem;
    font-family: "sreekrushnadevarayaregular";
    font-size: 30px;
    font-weight: 600;
    color: rgb(55, 53, 53);
    text-align: center;
}
.gallery-item .gallery-content h2 {
    display: flex;
    /* width: 100%; */
    padding: 0;
    margin: 0;
    font-family: "pottisreeramulu";
    font-size: 24px;
    font-weight: 500;
    color: rgb(187, 25, 13);
    text-align: center;
}
@media (max-width: 992px) {
  .gallery-item {
    width: 100%;
  }
}

.gallery-item img, .gallery-item video {
    width:100%;
    height:100%;
    object-fit:cover;
}
.gallery-item img:hover,
.gallery-item video:hover {
    transform: scale(1.05);
}


/* Play icon for videos */

.play-icon {
    position:absolute;
    top:50%;
    left:50%;
    transform:translate(-50%,-50%);
    font-size:40px;
    color:white;
}
.gallery-item .gallery-info {
    position: absolute;
    display: flex;
    flex-wrap: wrap;
    bottom: 0px;
    left: 0px;
    right: 0px;
    background: rgba(255, 255, 255, 0.8);
    color: #0b2341;
    padding: 8px;
}
.gallery-item .gallery-info h6 {
    font-size: .8rem;
    font-weight: 800;
    display: block;
    width: 100%;
}
.gallery-item .gallery-info h6.telugu-font {
    font-family: "sreekrushnadevarayaregular";
    font-size: 1.3rem;
}
.gallery-item .gallery-info p {
    display: flex;
    flex-direction: row;
    font-size: 12px;
    padding: 0;
    margin: 0;
    width: 100%;
    height: auto;
    line-height: normal;
    align-items: center;
}
.gallery-item .gallery-info .btn-more {
    display: flex;
    align-items: end;
    right: 0px;
    margin-top: 0px;
    margin-left: auto;
    padding: 8px!important;
}
/* Lightbox */

#gallery-zoomBox {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.8);
    align-items: center;
    justify-content: center;
    z-index: 999;
}

#gallery-zoomContent {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    flex-wrap: wrap;
    width:100%;
    height:100%;
}
#gallery-zoomContent .gallery-zoomText {
    display: flex;
    position: absolute;
    width: 60%;
    padding: 0;
    margin: 0;
    margin-top: -100px;
    flex-direction: column;
    flex-wrap: wrap;
}
#gallery-zoomContent h3 {
    width: 100%;
    padding: 0;
    margin: 0;
    margin-bottom: 1rem;
    font-family: "sreekrushnadevarayaregular";
    font-size: 3rem;
    color: rgb(55, 53, 53);
    font-weight: 700;
    text-shadow: 2px 2px 4px rgba(0,0,0,0.5);
    text-align: center;
    
}
#gallery-zoomContent h4 {
    width: 100%;
    padding: 0;
    margin: 0;
    font-family: "pottisreeramulu";
    font-size: 2rem;
    color: rgb(187, 25, 13);
    font-weight: 700;
    text-shadow: 2px 2px 4px rgba(0,0,0,0.5);
    text-align: center;
}
#gallery-zoomContent .gallery-zoom-info {
    position: absolute;
    bottom: 0px;
    left: 0px;
    right: 0px;
    background: rgba(255, 255, 255, 0.8);
    color: #0b2341;
    padding: 8px;
    text-align: center;
}
#gallery-zoomContent .gallery-zoom-info h6 {
    font-family: "pottisreeramulu";
    font-size: 2rem;
    display: block;
    width: 100%;
}
#gallery-zoomContent .gallery-zoom-info p {
    font-size: 12px;
    padding: 0;
    margin: 0;
    width: 100%;
}
#gallery-zoomContent img,
#gallery-zoomContent video,
#gallery-zoomContent iframe{
    display: flex;
    max-width: 80%;
    max-height: 80%;
    border-radius: 8px;
    box-shadow: 0 0 20px #000;
}
#gallery-zoomContent img {
    cursor: pointer;
}
/* Arrows */

.gallery-arrow{
    position:absolute;
    top:50%;
    transform:translateY(-50%);
    font-size:40px;
    color:white;
    cursor:pointer;
    padding:10px;
    z-index: 1000;
}

#gallery-prev{ left:20px; }
#gallery-next{ right:20px; }

/* Close */

#gallery-close {
    position:absolute;
    top:20px;
    right:30px;
    font-size:30px;
    color:white;
    cursor:pointer;
    z-index: 1000;
}


/* Overlay */
#alertBox{
  display:none;
  position:fixed;
  top:0;
  left:0;
  width:100%;
  height:100%;
  background:rgba(0,0,0,0.6);
  justify-content:center;
  align-items:center;
  z-index:99999;
}

/* Popup Box */
.alert-content{
  background:#fff;
  padding:20px;
  border-radius:10px;
  width:300px;
  text-align:center;
  box-shadow:0 5px 15px rgba(0,0,0,0.3);
  animation:fadeIn 0.3s ease;
}

/* Close Button */
.closeBtn{
  float:right;
  font-size:22px;
  cursor:pointer;
}

/* OK Button */
#okBtn{
  margin-top:15px;
  padding:8px 24px;
  border:none;
  background:#ed502e;
  color:#fff;
  border-radius:5px;
  cursor:pointer;
}
#okBtn:hover {
    background:#ef6445;
}
/* Animation */
@keyframes fadeIn{
  from{transform:scale(0.8); opacity:0;}
  to{transform:scale(1); opacity:1;}
}